Bug 1171930 - (CVE-2020-10722) VUL-0: CVE-2020-10722: dpdk: Integer overflow in vhost_user_set_log_base()
(CVE-2020-10722)
VUL-0: CVE-2020-10722: dpdk: Integer overflow in vhost_user_set_log_base()
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Jaime Caamaño Ruiz
Security Team bot
https://smash.suse.de/issue/259473/
CVSSv3.1:SUSE:CVE-2020-10722:5.1:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-20 16:30 UTC by Alexandros Toptsoglou
Modified: 2020-08-11 16:23 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2020-05-20 16:30:13 UTC
CVE-2020-10722

A vulnerability was found in DPDK versions 18.05 and above. A missing check for an integer overflow in vhost_user_set_log_base() could result in a smaller memory map than requested, possibly allowing memory corruption.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-10722
https://access.redhat.com/security/cve/CVE-2020-10722
Comment 5 Swamp Workflow Management 2020-05-26 19:14:55 UTC
SUSE-SU-2020:1430-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1171477,1171925,1171930
CVE References: CVE-2019-14818,CVE-2020-10722,CVE-2020-10723
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    dpdk-17.11.7-5.6.2, dpdk-thunderx-17.11.7-5.6.2
SUSE Linux Enterprise Server 12-SP4 (src):    dpdk-17.11.7-5.6.2, dpdk-thunderx-17.11.7-5.6.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-06-08 13:27:21 UTC
SUSE-SU-2020:1552-1: An update that solves three vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1171477,1171925,1171926,1171930
CVE References: CVE-2020-10722,CVE-2020-10723,CVE-2020-10724
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    dpdk-18.11.3-3.9.2, dpdk-thunderx-18.11.3-3.9.2
SUSE Linux Enterprise Server 12-SP5 (src):    dpdk-18.11.3-3.9.2, dpdk-thunderx-18.11.3-3.9.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Marcus Meissner 2020-07-25 06:30:51 UTC
released
Comment 8 Swamp Workflow Management 2020-08-11 16:23:02 UTC
SUSE-SU-2020:2194-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1156146,1171477,1171930,1174543
CVE References: CVE-2019-14818,CVE-2020-10722
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    dpdk-16.11.9-8.15.13
SUSE OpenStack Cloud 8 (src):    dpdk-16.11.9-8.15.13
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    dpdk-16.11.9-8.15.13
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    dpdk-16.11.9-8.15.13, dpdk-thunderx-16.11.9-8.15.10
SUSE Linux Enterprise Server 12-SP3-BCL (src):    dpdk-16.11.9-8.15.13
SUSE Enterprise Storage 5 (src):    dpdk-16.11.9-8.15.13, dpdk-thunderx-16.11.9-8.15.10
HPE Helion Openstack 8 (src):    dpdk-16.11.9-8.15.13

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.